'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _recompose = require('recompose');

var _SinglePageModal = require('./SinglePageModal');

var _SinglePageModal2 = _interopRequireDefault(_SinglePageModal);

var _Button = require('./Button');

var _Button2 = _interopRequireDefault(_Button);

var _SVGDone = require('./svg/SVGDone');

var _SVGDone2 = _interopRequireDefault(_SVGDone);

var _SVGClear = require('./svg/SVGClear');

var _SVGClear2 = _interopRequireDefault(_SVGClear);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var svgProps = { style: { marginRight: '0.25rem' } };

var BinaryModal = function BinaryModal(_ref) {
  var _onClick = _ref.onClick,
      dataTestId = _ref.dataTestId,
      posText = _ref.posText,
      negText = _ref.negText,
      props = (0, _objectWithoutProperties3.default)(_ref, ['onClick', 'dataTestId', 'posText', 'negText']);

  return _react2.default.createElement(_SinglePageModal2.default, (0, _extends3.default)({
    dataTestId: dataTestId
  }, props, {
    renderButtons: function renderButtons(_ref2) {
      var getButtonsProps = _ref2.getButtonsProps,
          getButtonProps = _ref2.getButtonProps,
          closeModal = _ref2.closeModal;
      return _react2.default.createElement(
        'div',
        getButtonsProps(),
        _react2.default.createElement(
          _Button2.default,
          getButtonProps({
            onClick: function onClick() {
              _onClick();
              closeModal();
            }
          }),
          _react2.default.createElement(_SVGDone2.default, (0, _extends3.default)({}, svgProps)),
          ' ',
          posText
        ),
        _react2.default.createElement(
          _Button2.default,
          getButtonProps({
            onClick: function onClick() {
              closeModal();
            }
          }),
          _react2.default.createElement(_SVGClear2.default, (0, _extends3.default)({}, svgProps)),
          ' ',
          negText
        )
      );
    }
  }));
};

BinaryModal.propTypes = {
  onClick: _propTypes2.default.func.isRequired
};

var enhance = (0, _recompose.compose)((0, _recompose.defaultProps)({
  onClick: function onClick() {
    return console.log('onClick');
  },
  posText: 'YES',
  negText: 'NO'
}), _recompose.pure);

exports.default = enhance(BinaryModal);